| Home | Libraries | People | FAQ | More

## Function template make_constant_buffer_iterator

boost::compute::make_constant_buffer_iterator

## Synopsis

    // In header: <boost/compute/iterator/constant_buffer_iterator.hpp>

    template<typename T>
      constant_buffer_iterator< T >
      make_constant_buffer_iterator(const buffer & buffer, size_t index = 0);

## Description

Creates a new `constant_buffer_iterator` for `buffer` at `index`.

Parameters:

`buffer` | the buffer object
`index` | the index in the buffer

Returns: | a `constant_buffer_iterator` for `buffer` at `index`